summaryrefslogtreecommitdiffstats
path: root/server/query_testing/apache_bench_report.sh
diff options
context:
space:
mode:
Diffstat (limited to 'server/query_testing/apache_bench_report.sh')
-rwxr-xr-xserver/query_testing/apache_bench_report.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/server/query_testing/apache_bench_report.sh b/server/query_testing/apache_bench_report.sh
index 62b3e863..06ceb484 100755
--- a/server/query_testing/apache_bench_report.sh
+++ b/server/query_testing/apache_bench_report.sh
@@ -11,6 +11,12 @@ declare -a arr=(
"https://torrents-csv.ml/service/search?q=wheel&page=1&type_=torrent"
)
+## check if ab installed
+if ! [ -x "$(command -v ab)" ]; then
+ echo 'Error: ab (Apache Bench) is not installed. https://httpd.apache.org/docs/2.4/programs/ab.html' >&2
+ exit 1
+fi
+
## now loop through the above array
for i in "${arr[@]}"
do